Bug 1798745 - crio broken in image promotion
Summary: crio broken in image promotion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 21:40 UTC by Colin Walters
Modified: 2020-05-04 11:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:34:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:34:29 UTC

Description Colin Walters 2020-02-05 21:40:58 UTC
https://prow.svc.ci.openshift.org/?job=promote-release-openshift-machine-os-content-e2e-aws-4.4 is down and we believe this is an issue with the conmon version in RHCOS.

Comment 1 Michael Nguyen 2020-03-10 22:01:15 UTC
Verified on 44.81.202003052104-0

[core@localhost ~]$ sudo systemctl status crio
● crio.service - Open Container Initiative Daemon
   Loaded: loaded (/usr/lib/systemd/system/crio.service; disabled; vendor prese>
   Active: inactive (dead)
     Docs: https://github.com/cri-o/cri-o

[core@localhost ~]$ sudo systemctl start crio
[core@localhost ~]$ sudo systemctl status crio
● crio.service - Open Container Initiative Daemon
   Loaded: loaded (/usr/lib/systemd/system/crio.service; disabled; vendor prese>
   Active: active (running) since Tue 2020-03-10 22:00:04 UTC; 5s ago
     Docs: https://github.com/cri-o/cri-o
 Main PID: 1758 (crio)
    Tasks: 12
   Memory: 35.1M
   CGroup: /system.slice/crio.service
           └─1758 /usr/bin/crio --enable-metrics=true --metrics-port=9537

Mar 10 22:00:04 localhost systemd[1]: Starting Open Container Initiative Daemon>
Mar 10 22:00:04 localhost crio[1758]: time="2020-03-10 22:00:04.233193755Z" lev>
Mar 10 22:00:04 localhost crio[1758]: time="2020-03-10 22:00:04.235809952Z" lev>
Mar 10 22:00:04 localhost crio[1758]: time="2020-03-10 22:00:04.236032815Z" lev>
Mar 10 22:00:04 localhost crio[1758]: time="2020-03-10 22:00:04.236304479Z" lev>
Mar 10 22:00:04 localhost crio[1758]: W0310 22:00:04.286275    1758 hostport_ma>
Mar 10 22:00:04 localhost crio[1758]: time="2020-03-10 22:00:04.286374184Z" lev>
Mar 10 22:00:04 localhost systemd[1]: Started Open Container Initiative Daemon.
[core@localhost ~]$ rpm -q cri-o 
cri-o-1.17.0-4.dev.rhaos4.4.gitc3436cc.el8.x86_64
[core@localhost ~]$ rpm -q conmon
conmon-2.0.9-1.rhaos4.4.el8.x86_64
[core@localhost ~]$ rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
* ostree://7dbeaecd35b1b336815f70ee2eb2a9ac56b2a027705c5fd46f117fbd4892f261
                   Version: 44.81.202003052104-0 (2020-03-05T21:09:26Z)

Comment 2 Michael Nguyen 2020-03-10 22:01:57 UTC
Verified on 4.4.0-0.nightly-2020-03-06-141620 which uses RHCOS 44.81.202003052104-0

Comment 5 errata-xmlrpc 2020-05-04 11:34:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.